Subject: Re: [PATCH] commit-graph: when incompatible with graphs, indicate why

From: Derrick Stolee <[email-masked]>
Date: Thu, 11 Feb 2021 11:17:47 -0500

On 2/11/21 10:39 AM, Johannes Schindelin via GitGitGadget wrote:
> From: Johannes Schindelin <[email-masked]>
> 
> When `gc.writeCommitGraph = true`, it is possible that the commit-graph
> is _still_ not written: replace objects, grafts and shallow repositories
> are incompatible with the commit-graph feature.
> 
> Under such circumstances, we need to indicate to the user why the
> commit-graph was not written instead of staying silent about it.

This feedback is valuable for these corner cases, especially now
that the commit-graph is getting less and less "optional" as time
goes on.

> +		if (hashmap_get_size(&r->objects->replace_map->map)) {
> +			warning(_("repository contains replace objects; "
> +			       "skipping commit-graph"));
...
> +		warning(_("repository is shallow; skipping commit-graph"));

These warnings make sense to me.

Thanks,
-Stolee